( This first part of a game level comes from the template file  )
( named  \gcs\guards\guardsrc.4th.  The game editor copies this )
( from the template file and then appends specific settings for )
( the guards for this level.  The combination is a file named   )
( guard0.4th or guard1.4th or guard2.4th, etc. depending upon   )
( the game level.  For use under 32-bit Windows.                )

CAPS ON  ( just to be sure case will be ignored  )



( The C engine will set GTYPENUM to the appropriate value. )

( *NI means currently not implemented )

    0  WALK.START   GTYPENUM @ GA_STORE  ( First frame # of walking sequence = standing )
    8  WALK.END     GTYPENUM @ GA_STORE  ( Last frame of walking sequence )
    0  RUN.START    GTYPENUM @ GA_STORE  ( First frame of running sequence )
    8  RUN.END      GTYPENUM @ GA_STORE  ( Last frame of running sequence )
    9  DEATH.START  GTYPENUM @ GA_STORE  ( First frame of bloody death sequence )
    12 DEATH.END    GTYPENUM @ GA_STORE  ( Last frame of bloody death sequence )
    0  DEATH.FLAGS  GTYPENUM @ GA_STORE  ( Flags for bloody death. )
    10 DEATH.SCORE  GTYPENUM @ GA_STORE  ( Score assigned for killing it. )
    9 KO.START     GTYPENUM @ GA_STORE  ( First frame of Knock Out sequence )
    12 KO.END       GTYPENUM @ GA_STORE  ( Last frame of Knock Out sequence )
    10 KO.SCORE     GTYPENUM @ GA_STORE  ( Flags for Knock Out . )
    9  KO.FLAGS     GTYPENUM @ GA_STORE  ( Score assigned for Knock Out it. )
    13 GOO.START    GTYPENUM @ GA_STORE  ( First frame of Sticky sequence )
    15 GOO.END      GTYPENUM @ GA_STORE  ( Last frame of Sticky sequence )
    5  GOO.SCORE    GTYPENUM @ GA_STORE  ( Flags for Sticky death. )
    0  GOO.FLAGS    GTYPENUM @ GA_STORE  ( Score assigned for gooing it. )
    16 COUGH.START  GTYPENUM @ GA_STORE  ( First frame of Tear Gas sequence )
    17 COUGH.END    GTYPENUM @ GA_STORE  ( Last frame of Tear Gas sequence )
    1  COUGH.SCORE  GTYPENUM @ GA_STORE  ( Flags for Tear Gas . )
    5  COUGH.FLAGS  GTYPENUM @ GA_STORE  ( Score assigned for tear gassing it. )
    23 HIT.START    GTYPENUM @ GA_STORE  ( First frame of guard getting Hit sequence )
    23 HIT.END      GTYPENUM @ GA_STORE  ( *NI Last frame of guard getting hit sequence )
    15 WIDTH.WIDTH  GTYPENUM @ GA_STORE  ( Width of guard in the 3D world/10. )
    2  MOVE.TYPE    GTYPENUM @ GA_STORE  ( 0=regular, 1=erratic flying, 2=smooth flying ) 
    18 SHOOT.START  GTYPENUM @ GA_STORE  ( First frame of shooting sequence beginning )
    22 SHOOT.END    GTYPENUM @ GA_STORE  ( Last frame of shooting sequence )
    21 SHOOT.LOOP   GTYPENUM @ GA_STORE  ( First frame of repeated shooting animation )
    22 SHOOT.BANG   GTYPENUM @ GA_STORE  ( Frame number where damage occurs and sound plays. )
    0  SHOOT.FLAGS  GTYPENUM @ GA_STORE  ( Flags for shooting type )
    20 HEY.START    GTYPENUM @ GA_STORE  ( First sound number for 'hey' sound )
    23 HEY.END      GTYPENUM @ GA_STORE  ( Last consequtive sound number for hey sounds. )
    24 DIESND.START GTYPENUM @ GA_STORE  ( First sound number for dying sounds. )
    27 DIESND.END   GTYPENUM @ GA_STORE  ( Last consequtive sound for dying )
    0  HITSND.SND   GTYPENUM @ GA_STORE  ( The sound when enemy is hit. )
    77  WALKSND.START GTYPENUM @ GA_STORE ( The first possible walking around sound. )
    77  WALKSND.END   GTYPENUM @ GA_STORE ( The last consecutive sound for walking. )
    33  SHOOTSND.SND  GTYPENUM @ GA_STORE ( The shooting sound for this enemy )
    50  SHOOTSND.RANGE  GTYPENUM @ GA_STORE ( The fadeout range/100 for shoot snd )
    24 GOOED.SND     GTYPENUM @ GA_STORE ( *NI The sound the guy gives when he is gooed with sticky )
    25 KOED.SND      GTYPENUM @ GA_STORE ( *NI The sound when the guy is knocked out )
    26 TEAR.SND      GTYPENUM @ GA_STORE ( *NI The sound when the guy is coughing from tear gas )
    0  SOUND.FLAGS   GTYPENUM @ GA_STORE ( *NI Flags regarding the sounds made. )
   25 MOVE.STRIDE    GTYPENUM @ GA_STORE  ( Bigger Number means *SMALLER* steps )
    0 MOVE.RANGE     GTYPENUM @ GA_STORE  ( 0=max attack range, 7=only when touching player )
   20 DEATH.DELAY    GTYPENUM @ GA_STORE  ( 10=normal )

( last line of the template file guardsrc.4th )

